//This code is generated from a ModelicaML model.

within TwoTanksExample.aVeMs__SystemEnvironment_20120928193302;

model aVeM__Change_of_input_flow  
	annotation(Diagram(coordinateSystem(extent = {{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {10,10})), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-100,29.881},{100,99.881}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 1, extent = {{-100,-100.119},{100,29.881}}),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-97.7991,37.5817},{94.8229,67.7755}}, textString = "aVeM: Change of input flow", fontName = "Arial"),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-92.381,70.2284},{87.619,92.8668}}, textString = "model", fontName = "Arial"),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-98.093,-93.5063},{97.4978,25.0539}}, textString = "M", fontName = "Arial")}));
	TwoTanksExample.Design.SystemEnvironment sm_systemenvironment(twoTanksSystem.controller1.ref = vs_change_of_input_flow.refForController1, twoTanksSystem.controller2.ref = vs_change_of_input_flow.refForController2, twoTanksSystem.source.flowLevel = vs_change_of_input_flow.inputFlowLevel);
	TwoTanksExample.Scenarios.Change_of_input_flow vs_change_of_input_flow;
	TwoTanksExample.Requirements.Input_flow_limits req_002_input_flow_limits(inputFlowLevelTank1 = sm_systemenvironment.twoTanksSystem.tank1.qIn.lflow);
	TwoTanksExample.Requirements.Settling_time_and_bounds_after_a_change_of_input_flow req_004_0_settling_time_and_bounds_after_a_change_of_input_flow(inputLevelChanged = abs(sm_systemenvironment.twoTanksSystem.source.flowLevel - delay(sm_systemenvironment.twoTanksSystem.source.flowLevel, 0.1)) > 0.001, levelInTank = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid, refLevel = sm_systemenvironment.twoTanksSystem.controller1.ref);
	TwoTanksExample.Requirements.Settling_time_and_bounds_after_a_change_of_input_flow req_004_1_settling_time_and_bounds_after_a_change_of_input_flow(inputLevelChanged = abs(sm_systemenvironment.twoTanksSystem.source.flowLevel - delay(sm_systemenvironment.twoTanksSystem.source.flowLevel, 0.1)) > 0.001, levelInTank = sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid, refLevel = sm_systemenvironment.twoTanksSystem.controller2.ref);
	TwoTanksExample.Requirements.System_draining_time req_005_system_draining_time(allTanksAreEmpty = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid < 0.05 and sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid < 0.05, allTanksAreFull = sm_systemenvironment.twoTanksSystem.tank1.levelOfLiquid > 0.98 and sm_systemenvironment.twoTanksSystem.tank2.levelOfLiquid > 0.98, systemIsBeingDrained = sm_systemenvironment.twoTanksSystem.source.flowLevel < 0.0001);
	TwoTanksExample.Requirements.Volume_of_a_tank req_001_0_volume_of_a_tank(tankVolume = sm_systemenvironment.twoTanksSystem.tank1.volume);
	TwoTanksExample.Requirements.Volume_of_a_tank req_001_1_volume_of_a_tank(tankVolume = sm_systemenvironment.twoTanksSystem.tank2.volume);
	
end aVeM__Change_of_input_flow;

